Skip to main content
`Ctrl`+`K`

# PetscOptionsHasHelp

Determines whether the “-help” option is in the database.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsHasHelp(PetscOptions options, PetscBool *set)

Not Collective

## Input Parameter

- options - options database, use `NULL` for default global database

## Output Parameter

- set - `PETSC_TRUE` if found else `PETSC_FALSE`.

## See Also

`PetscOptionsHasName()`

## Level

advanced

## Location

src/sys/objects/options.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages